import { NumVal } from '../types';
export declare type BreakOptions = {
    tablet?: NumVal;
    sdesk?: NumVal;
    ldesk?: NumVal;
    [x: string]: any;
};
export declare type Breaks = {
    tablet: NumVal;
    sdesk: NumVal;
    ldesk: NumVal;
};
export declare type Medias = {
    mobile: string;
    tablet: string;
    sdesk: string;
    ldesk: string;
};
export declare const defaultBreaks: {
    tablet: {
        num: number;
        val: string;
    };
    sdesk: {
        num: number;
        val: string;
    };
    ldesk: {
        num: number;
        val: string;
    };
};
export declare const createBreaks: (options?: BreakOptions) => Breaks;
export declare const createMediaQuery: ({ min, max, ratio, orientation, }: {
    min?: string | undefined;
    max?: string | undefined;
    ratio?: string | undefined;
    orientation?: string | undefined;
}) => string;
export declare const createMediaQueries: (options?: BreakOptions) => {
    mobile: string;
    tablet: string;
    sdesk: string;
    ldesk: string;
};
