"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMediaQueries = exports.createMediaQuery = exports.createBreaks = exports.defaultBreaks = void 0;
exports.defaultBreaks = {
    tablet: {
        num: 767,
        val: '767px',
    },
    sdesk: {
        num: 1112,
        val: '1112px',
    },
    ldesk: {
        num: 1480,
        val: '1480px',
    },
};
const createBreaks = (options = {}) => {
    const config = Object.assign(Object.assign({}, exports.defaultBreaks), options);
    return config;
};
exports.createBreaks = createBreaks;
const createMediaQuery = ({ min, max, ratio, orientation, }) => `@media only screen ${min ? `and (min-width: ${min})` : ''} ${max ? `and (max-width: ${max})` : ''} ${ratio ? `and (-webkit-min-device-pixel-ratio: ${ratio}px)` : ''} ${orientation ? `and (orientation: ${orientation})` : ''}`;
exports.createMediaQuery = createMediaQuery;
const createMediaQueries = (options = {}) => {
    const config = exports.createBreaks(options);
    return {
        mobile: exports.createMediaQuery({ max: `${config.tablet.num - 1}px` }),
        tablet: exports.createMediaQuery({ min: config.tablet.val }),
        sdesk: exports.createMediaQuery({ min: config.sdesk.val }),
        ldesk: exports.createMediaQuery({ min: config.ldesk.val }),
    };
};
exports.createMediaQueries = createMediaQueries;
//# sourceMappingURL=breaks.js.map