import { SwfColor } from './SwfColor';
export declare type ColorOptions = {
    primary?: string;
    secondary?: string;
    aux1?: string;
    aux2?: string;
    blue?: string;
    brown?: string;
    orange?: string;
    purple?: string;
    slate?: string;
    midnight?: string;
    ok?: string;
    err?: string;
    warn?: string;
    disabled?: string;
    text?: string;
    grey?: string;
    black?: string;
    white?: string;
    [x: string]: any;
};
export declare type ColorValues = {
    primary: string;
    secondary: string;
    aux1: string;
    aux2: string;
    blue: string;
    brown: string;
    orange: string;
    purple: string;
    slate: string;
    midnight: string;
    ok: string;
    err: string;
    warn: string;
    disabled: string;
    text: string;
    grey: string;
    black: string;
    white: string;
    [x: string]: string;
};
export declare type Colors = {
    primary: SwfColor;
    secondary: SwfColor;
    aux1: SwfColor;
    aux2: SwfColor;
    blue: SwfColor;
    brown: SwfColor;
    orange: SwfColor;
    purple: SwfColor;
    slate: SwfColor;
    midnight: SwfColor;
    ok: SwfColor;
    err: SwfColor;
    warn: SwfColor;
    disabled: SwfColor;
    text: SwfColor;
    grey: SwfColor;
    black: SwfColor;
    white: SwfColor;
    [x: string]: SwfColor;
};
export declare type FallbackOptions = {
    tint?: number;
    lighten?: number;
    brighten?: number;
    darken?: number;
    saturate?: number;
    desaturate?: number;
};
export declare type Fallbacks = {
    tint: number;
    lighten: number;
    brighten: number;
    darken: number;
    saturate: number;
    desaturate: number;
};
export declare const defaultFallbacks: {
    tint: number;
    lighten: number;
    brighten: number;
    darken: number;
    saturate: number;
    desaturate: number;
};
export declare const defaultColors: {
    primary: string;
    secondary: string;
    aux1: string;
    aux2: string;
    blue: string;
    brown: string;
    purple: string;
    orange: string;
    slate: string;
    midnight: string;
    ok: string;
    err: string;
    warn: string;
    disabled: string;
    text: string;
    grey: string;
    black: string;
    white: string;
};
export declare const createColors: (options?: {
    colors?: ColorOptions;
    fallbacks?: FallbackOptions;
}) => Colors;
