"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createColors = exports.defaultColors = exports.defaultFallbacks = void 0;
const reduce_1 = __importDefault(require("lodash/reduce"));
const SwfColor_1 = require("./SwfColor");
exports.defaultFallbacks = {
    tint: 25,
    lighten: 25,
    brighten: 25,
    darken: 20,
    saturate: 40,
    desaturate: 40,
};
exports.defaultColors = {
    primary: '#0569b1',
    secondary: '#f7a707',
    aux1: '#7990ad',
    aux2: '#79a6ad',
    blue: '#0e8be4',
    brown: '#866f3c',
    purple: '#7032d0',
    orange: '#e88d00',
    slate: '#3a3f42',
    midnight: '#1c1e1f',
    ok: '#5bbb12',
    err: '#df1500',
    warn: '#ff9900',
    disabled: '#c0c4c5',
    text: '#3a3f42',
    grey: '#868b8d',
    black: '#000',
    white: '#FFF',
};
const createColors = (options = {}) => {
    const colors = Object.assign(Object.assign({}, exports.defaultColors), (options.colors || {}));
    const fallbacks = Object.assign(Object.assign({}, exports.defaultFallbacks), (options.fallbacks || {}));
    return reduce_1.default(colors, (acc, _, key) => {
        acc[key] = new SwfColor_1.SwfColor(key, { colors, fallbacks });
        return acc;
    }, {});
};
exports.createColors = createColors;
//# sourceMappingURL=colors.js.map