import { NumVal } from '../types';
export declare type GenerateHSizeOptions = {
    unit?: string;
    max?: number;
    min?: number;
};
export declare type HsizeOptions = {
    h1?: NumVal;
    h2?: NumVal;
    h3?: NumVal;
    h4?: NumVal;
    h5?: NumVal;
    h6?: NumVal;
};
export declare type Hsizes = {
    h1: NumVal;
    h2: NumVal;
    h3: NumVal;
    h4: NumVal;
    h5: NumVal;
    h6: NumVal;
};
export declare const generateHsizes: (opts?: GenerateHSizeOptions) => Hsizes;
export declare type FluidFontSizeOptions = {
    maxSize?: number;
    minSize?: number;
    minViewport?: number;
    maxViewport?: number;
};
declare type FluidFontSize = (options?: FluidFontSizeOptions) => string;
export declare const fluidFontSize: ({ maxSize, minSize, minViewport, maxViewport, }?: FluidFontSizeOptions) => string;
export declare type FontOptions = {
    textFamily?: string;
    titleFamily?: string;
};
export declare type Fonts = {
    textFamily: string;
    titleFamily: string;
    fluidFontSize: FluidFontSize;
};
export declare const createFonts: (options?: FontOptions) => Fonts;
export {};
