import { BreakOptions, Breaks, Medias } from './breaks';
import { ColorOptions, Colors, FallbackOptions } from './colors';
import { SizeOptions, Sizes } from './sizes';
import { TimeOptions, Times } from './times';
import { FontOptions, Fonts } from './fonts';
export declare type ThemeConfig = {
    colors?: ColorOptions;
    colorFallbacks?: FallbackOptions;
    sizes?: SizeOptions;
    breaks?: BreakOptions;
    times?: TimeOptions;
    fonts?: FontOptions;
};
export declare type ThemeOptions = ThemeConfig & {
    printLogs?: boolean;
    context?: string;
};
export declare type Theme = {
    colors: Colors;
    sizes: Sizes;
    breaks: Breaks;
    media: Medias;
    times: Times;
    config: ThemeConfig;
    fonts: Fonts;
};
export declare const createTheme: <T>(options?: ThemeOptions & T) => Theme;
