"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTheme = void 0;
const breaks_1 = require("./breaks");
const colors_1 = require("./colors");
const sizes_1 = require("./sizes");
const times_1 = require("./times");
const fonts_1 = require("./fonts");
const createTheme = options => {
    const _a = options || {}, { printLogs, context } = _a, opts = __rest(_a, ["printLogs", "context"]);
    const config = Object.assign({ colors: colors_1.defaultColors, colorFallbacks: colors_1.defaultFallbacks, breaks: breaks_1.defaultBreaks, sizes: sizes_1.defaultSizes, times: times_1.defaultTimes }, (opts || {}));
    const _b = opts || {}, { colors, colorFallbacks, sizes, breaks, times, fonts } = _b, customProperties = __rest(_b, ["colors", "colorFallbacks", "sizes", "breaks", "times", "fonts"]);
    const theme = Object.assign({ colors: colors_1.createColors({ colors, fallbacks: colorFallbacks }), sizes: sizes_1.createSizes(sizes), breaks: breaks_1.createBreaks(breaks), media: breaks_1.createMediaQueries(breaks), times: times_1.createTimes(times), fonts: fonts_1.createFonts(fonts) }, customProperties);
    if (printLogs) {
        const emoji = String.fromCodePoint(0x1f44d);
        console.info(`%c${emoji} SwF Theme - initialized${context ? ` from [${context}]` : ''}:`, `color: ${theme.colors.white.val}; background-color: ${theme.colors.ok.val}; padding: 4px;`, {
            theme,
            config,
        });
    }
    theme.config = config;
    return theme;
};
exports.createTheme = createTheme;
//# sourceMappingURL=theme.js.map